=== zope/lib/python/Products/validation/debian/control ===
Source: validation
Section: python
Priority: optional
Maintainer: Sylvain Thenault <sylvain.thenault@logilab.fr> 
Build-Depends-Indep: debhelper (>= 3.0.0)
Standards-Version: 3.6.0

Package: zope-validation
Architecture: all
Depends: zope (>= 2.6)
Description: Some generic validators originaly defined for Archetypes
 Some generic validators originaly defined for Archetypes
 .
 Homepage: http://www.sourceforge.net/projects/archetypes
